Bug 694894 - fenc_apc cannot fence an APC AP-8941
fenc_apc cannot fence an APC AP-8941
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: fence-agents (Show other bugs)
6.0
All Linux
unspecified Severity medium
: rc
: 6.0
Assigned To: Marek Grac
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-08 15:00 EDT by Nicolas Ross
Modified: 2011-06-29 10:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 16:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Ross 2011-04-08 15:00:03 EDT
Description of problem:

This power bar has a firmware that can't be used with fence_apc

Version-Release number of selected component (if applicable):

fence-agents-3.0.12-8.el6_0.3.x86_64

How reproducible:

fence_apc --ip=66.254.58.197 --username=user --password=pass --plug=node101 --ssh


Steps to Reproduce:
1. call the above command
  
Actual results:

Node not fenced

Expected results:

Node fenced

Additional info:

There is 3 problems. First, ssh server on that bar is v2 only. So ssh_options (line 198) has to be commented out. Second, the prompt has changed to "apc>". So "cmd_prompt" has to be added to the device_opt array and --command-prompt="apc>" added to the command line. Next, the command to use the device has changed. Here's the output saved in the debug file after steps mentionned :

-------------------------
American Power Conversion               Network Management Card AOS 
v5.1.2
(c) Copyright 2009 All Rights Reserved  RPDU 2g 
v5.1.0
-------------------------------------------------------------------------------
Name      : Unknown                                   Date : 04/08/2011
Contact   : Unknown                                   Time : 10:49:39
Location  : Unknown                                   User : Device Manager
Up Time   : 0 Days 2 Hours 18 Minutes                 Stat : P+ N4+ N6+ A+


Type ? for command listing
Use tcpip command for IP address(-i), subnet(-s), and gateway(-g)

apc>1
E101: Command Not Found

apc>2
E101: Command Not Found

apc>
-------------------------

When I connect manually, here are the commands availaible :

bkLowLoad   bkNearOver  bkOverLoad  bkReading   bkRestrictn devLowLoad
devNearOver devOverLoad devReading  devStartDly humLow      humMin
humReading  olCancelCmd olDlyOff    olDlyOn     olDlyReboot olGroups
olName      olOff       olOffDelay  olOn        olOnDelay   olRbootTime
olReboot    olStatus    phLowLoad   phNearOver  phOverLoad  phReading
phRestrictn prodInfo    sensorName  tempHigh    tempMax     tempReading
userList    whoami


So the command to send would be :

olReboot node101

Like so :

-------------------------
apc>olReboot node101
E000: Success

apc>
-------------------------

and then "quit" to logout.
Comment 1 Nate Straz 2011-04-08 15:19:21 EDT
Does fence_apc_snmp work with this device?
Comment 3 Nicolas Ross 2011-04-08 21:03:25 EDT
(In reply to comment #1)
> Does fence_apc_snmp work with this device?

I hadn't tested it. Yes, it does work with fence_apc_snmp.
Comment 5 RHEL Product and Program Management 2011-05-19 16:34:51 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.